﻿#default encoding for dconsole
[Console]::OutputEncoding = New-Object -typename System.Text.UTF8Encoding
[Console]::InputEncoding  = New-Object -typename System.Text.UTF8Encoding

Import-Module posh-git
Import-Module php

$__dir__ = $(Get-Item $profile).Directory;

. "$__dir__\functions.ps1"
. "$__dir__\aliases.ps1"
. "$__dir__\prompt.ps1"

if (Test-Path "$__dir__\local.ps1") {
    . "$__dir__\local.ps1" # load local configuration if needed
}

$global:admin = Test-IsAdmin

Set-PSReadlineOption -HistoryNoDuplicates
